Solid Edge FrameworkSupport Type Library
Add Method
Specifies the x coordinate for the CenterMark.
Specifies the y coordinate for the CenterMark.
Specifies the z coordinate for the CenterMark.
Description
Adds an occurrence of the referenced object.
Syntax
Visual Basic
Public Function Add( _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double _
) As CenterMark
Parameters
x
Specifies the x coordinate for the CenterMark.
y
Specifies the y coordinate for the CenterMark.
z
Specifies the z coordinate for the CenterMark.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objCenterMarks As SolidEdgeFrameworkSupport.CenterMarks
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' getting the active sheet
    Set objSheet = objDoc.ActiveSheet
    ' getting the CenterMarks collection object on the active sheet
    Set objCenterMarks = objSheet.CenterMarks
    ' adding a center mark to the collection
    Call objCenterMarks.Add(x:=0.25, y:=0.25, z:=0)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objCenterMarks = Nothing
End Sub
See Also

CenterMarks Collection  | CenterMarks Members

Send comments on this topic.